(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     41201,        986]
NotebookOptionsPosition[     39212,        922]
NotebookOutlinePosition[     39557,        937]
CellTagsIndexPosition[     39514,        934]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Methoden der Bioinformatik",
  FontSize->24,
  FontWeight->"Bold"],
 StyleBox[" \n\n",
  FontSize->12],
 "Eine Einf\[UDoubleDot]hrung zur Anwendung in Biologie und Medizin\n\n2. \
Auflage",
 StyleBox["\n",
  FontSize->18,
  FontWeight->"Bold"],
 StyleBox["\n",
  FontSize->12],
 "Marc-Thorsten H\[UDoubleDot]tt",
 StyleBox[" ",
  FontSize->12,
  FontWeight->"Bold"],
 "und",
 StyleBox[" ",
  FontSize->12,
  FontWeight->"Bold"],
 "Manuel Dehnert\n",
 StyleBox["\n",
  FontSize->12],
 "Springer Spektrum",
 StyleBox[" ",
  FontSize->12,
  FontWeight->"Bold"],
 "2006",
 StyleBox[", ",
  FontSize->12,
  FontWeight->"Bold"],
 "2016, ISBN 978-3-662-46149-5"
}], "Subsubtitle",
 CellChangeTimes->{{3.669868691792925*^9, 3.669868786167323*^9}, {
  3.6698688284727426`*^9, 3.669868879042635*^9}, {3.6698691142260866`*^9, 
  3.6698691148331213`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "-Exkurs: Intronverteilung"
}], "Subtitle",
 CellChangeTimes->{
  3.670321495640956*^9, 3.670322559253027*^9, {3.6703228135464745`*^9, 
   3.6703228154496775`*^9}},
 Background->RGBColor[
  0.8705882352941177, 0.00392156862745098, 0.2196078431372549]],

Cell[TextData[{
 "Die erste H\[UDoubleDot]rde der folgenden Untersuchung liegt in der \
Beschaffung der Daten. Wir verwenden hierzu den UCSC ",
 StyleBox["Genome Browser",
  FontSlant->"Italic"],
 ". Der ",
 StyleBox["Genome Browser",
  FontSlant->"Italic"],
 " an der ",
 StyleBox["University of California at Santa Cruz",
  FontSlant->"Italic"],
 " (UCSC) stellt Annotationen auf der Ebene ganzer Chromosomen bereit. Wir \
haben hier den CCDS-Track verwendet. Der ",
 StyleBox["Genome Browser",
  FontSlant->"Italic"],
 " bietet eine Vielzahl anderer Genannotationen, die in \[ADoubleDot]hnlicher \
Weise analysiert werden k\[ODoubleDot]nnen. \[CapitalUDoubleDot]ber ein Men\
\[UDoubleDot] l\[ADoubleDot]sst sich die gew\[UDoubleDot]nschte Information \
ausw\[ADoubleDot]hlen und als ASCII-Datei lokal speichern",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[".", "14"], TraditionalForm]]],
 " Die L\[ADoubleDot]ngenverteilung von Introns f\[UDoubleDot]r die Spezies \
Mensch liegt in der Datenbank nicht direkt vor, sie kann aber aus den \
Datenbankinformationen abgeleitet werden. F\[UDoubleDot]r ein annotiertes Gen \
sind im ",
 StyleBox["Genome Browser",
  FontSlant->"Italic"],
 " neben dem Namen, der Position auf dem Strang und vielen anderen \
Informationen auch die Start- und Endpositionen der in diesem Gen enthaltenen \
Exons aufgelistet. Diese Positionen k\[ODoubleDot]nnen f\[UDoubleDot]r alle \
annotierten Gene eines Chromosoms abgefragt und gespeichert werden. \n\nDie \
lokal gespeicherten Daten f\[UDoubleDot]r das menschliche Chromosom 19 werden \
mit dem Befehl ",
 StyleBox["ReadList",
  FontWeight->"Bold"],
 " als W\[ODoubleDot]rter eingelesen (also mit der Einstellung ",
 StyleBox["Word",
  FontWeight->"Bold"],
 ") und mithilfe des Befehls ",
 StyleBox["ToExpression",
  FontWeight->"Bold"],
 " in Zahlen umgewandelt."
}], "Text",
 CellChangeTimes->{{3.6746191714678907`*^9, 3.674619180276904*^9}, 
   3.674619312393096*^9, {3.674619394760215*^9, 3.6746194027442265`*^9}, {
   3.674619455889303*^9, 3.674619478074335*^9}, 3.6746195248334026`*^9, 
   3.674619664713603*^9, {3.6746199630450335`*^9, 3.6746199640550346`*^9}}],

Cell[TextData[{
 "F\[UDoubleDot]r das Einlesen einer Datei ist neben dem Dateinamen die \
Angabe des Verzeichnisses notwendig, in dem sie sich befindet. Mit den Befehl \
",
 StyleBox["SetDirectory[]",
  FontWeight->"Bold"],
 "  kann ein solches Verzeichnis spezifiziert werden. Dabei wird der Pfad in \
Anf\[UDoubleDot]hrungszeichen gesetzt. Eine solche Angabe kann z.B. lauten:\n\
\n",
 StyleBox["SetDirectory[\[OpenCurlyDoubleQuote]C:\\Mathematica-Exkurs \
Intronverteilung\[CloseCurlyDoubleQuote]]\n\n",
  FontWeight->"Bold"],
 "Falls sich die einzulesende Datei im gleichen Ordner wie das Notebook \
befindet, l\[ADoubleDot]sst sich das Verzeichnis sehr einfach mit dem \
folgenden Befehl setzen:"
}], "Text",
 CellChangeTimes->{{3.6746195315844126`*^9, 3.6746195766294765`*^9}, {
   3.6746196240875444`*^9, 3.6746196546775885`*^9}, {3.677552674326002*^9, 
   3.677552680160413*^9}, {3.6775529337614584`*^9, 3.6775529377394657`*^9}, 
   3.677556437939023*^9, {3.6775565161107607`*^9, 3.6775565207595687`*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6775525917540574`*^9, 3.677552629334523*^9}, 
   3.6775526709875965`*^9},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp01", "=", "\[IndentingNewLine]", 
   RowBox[{"ReadList", "[", 
    RowBox[{
    "\"\<HU_CCDS_chr19_May_2004_CUSC_exonStartEnd.txt\>\"", ",", "Word", ",", 
     RowBox[{"RecordSeparators", " ", "->", 
      RowBox[{"{", 
       RowBox[{"\"\<\\r\\n\>\"", ",", "\"\<\\n\>\"", ",", "\"\<\\r\>\""}], 
       "}"}]}], ",", 
     RowBox[{"WordSeparators", " ", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\\t\>\"", ",", "\"\<,\>\""}], "}"}]}], ",", 
     RowBox[{"RecordLists", "\[Rule]", "True"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568712356609375*^9, 3.568712357984375*^9}, {
   3.5687129814375*^9, 3.568713071328125*^9}, {3.568713127828125*^9, 
   3.568713129609375*^9}, {3.568713184984375*^9, 3.56871319878125*^9}, {
   3.56871323621875*^9, 3.568713267875*^9}, 3.622879692794956*^9, 
   3.670322967355145*^9, {3.6775525871334496`*^9, 3.677552588897252*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp02", "=", 
   RowBox[{"ToExpression", "[", "tmp01", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568712558765625*^9, 3.56871256153125*^9}, 
   3.568712603421875*^9}],

Cell[TextData[{
 "Wie an vielen Stellen in den ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "-Exkursen unterdr\[UDoubleDot]cken wir vielfach die Ausgabe durch das \
Semikolon am Zeilenende. Um die verschiedenen Optionen dieses Einlesebefehl \
besser zu verstehen, empfehlen wir auch hier, in der elektronischen Version \
des ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "-Exkurses von Hand \[CapitalADoubleDot]nderungen vorzunehmen und \
unterschiedliche Einstellungen auszuprobieren. F\[UDoubleDot]r jedes Gen \
liegt nun eine Liste mit Start- und Endpositionen der Exons vor. Dabei \
besteht die erste H\[ADoubleDot]lfte dieser Liste aus den Startpositionen und \
die zweite H\[ADoubleDot]lfte aus den Endpositionen. \n\nMit der Funktion ",
 StyleBox["Take[list, i]",
  FontWeight->"Bold"],
 " fragt man die ersten ",
 StyleBox["i",
  FontWeight->"Bold"],
 " Elemente der Variablen list ab. Auf die Liste ",
 StyleBox["tmp02",
  FontWeight->"Bold"],
 " angewendet hat man f\[UDoubleDot]r ",
 StyleBox["i = 2",
  FontWeight->"Bold"],
 ":"
}], "Text",
 CellChangeTimes->{
  3.674620077572198*^9, {3.6746201547563095`*^9, 3.6746201565563116`*^9}, 
   3.674620230161418*^9, {3.6746207701390853`*^9, 3.674620770671116*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"tmp02", ",", "2"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"#exonStarts", ",", "exonEnds"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "232387", ",", "233133", ",", "233751", ",", "238473", ",", "239019", ",",
      "241951", ",", "232537", ",", "233310", ",", "233809", ",", "238751", 
     ",", "239171", ",", "242066"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6775708076951466`*^9}]
}, Open  ]],

Cell[TextData[{
 "Dies ist eine Liste mit zwei Elementen. Diese Elemente sind, wie die \
Ausgabe zeigt, jedoch erneut Listen. Die L\[ADoubleDot]nge eines Introns \
ergibt sich nun aus der Differenz zwischen der Endposition eines Exons und \
der Startposition des darauf folgenden Exons. Damit werden die Startposition \
des ersten Exons und die Endposition des letzen Exons innerhalb eines Gens f\
\[UDoubleDot]r die weiteren Betrachtungen nicht mehr ben\[ODoubleDot]tigt und \
deshalb im Folgenden gel\[ODoubleDot]scht. Alle Gene, die nur aus einem Exon \
bestehen, werden in diesem Schritt auf die leere Menge abgebildet",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[":", "15"], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.6746208183970585`*^9, 3.674620823840067*^9}, {
  3.674620855825113*^9, 3.6746208824581513`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp03", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Delete", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"-", "1"}], "}"}]}], "}"}]}], "]"}], "&"}], ",", "tmp02"}],
     "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp03", "[", 
  RowBox[{"[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "233133", ",", "233751", ",", "238473", ",", "239019", ",", "241951", ",",
      "232537", ",", "233310", ",", "233809", ",", "238751", ",", "239171"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6775708077731466`*^9}]
}, Open  ]],

Cell["Diese leeren Mengen werden im n\[ADoubleDot]chsten Schritt entfernt:", \
"Text",
 CellChangeTimes->{{3.674620905236186*^9, 3.674620916571203*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"tmp04", "=", 
    RowBox[{"DeleteCases", "[", 
     RowBox[{"tmp03", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";"}], " "}]], "Input"],

Cell[TextData[{
 "Um die Differenzen zwischen den Start- und Endpositionen effizient zu \
bestimmen, wird eine Partitionierung der Liste in zwei H\[ADoubleDot]lften \
(und damit in Startpositionen und Endpositionen) vorgenommen. Die Berechnung \
der L\[ADoubleDot]ngen der Introns geschieht nun \[UDoubleDot]ber den Befehl ",
 StyleBox["Subtract",
  FontWeight->"Bold"],
 ", mit dem elementweise die Differenz zwischen der Liste der Startpositionen \
und der Liste der Endpositionen gebildet wird",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[".", "16"], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.674620929573223*^9, 3.674620937223234*^9}, {
  3.6746209682032785`*^9, 3.6746210199593525`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp05", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{"Length", "[", "#", "]"}], "/", "2"}]}], "]"}], "&"}], ",", 
     "tmp04"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp06", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Subtract", "[", 
        RowBox[{
         RowBox[{"tmp05", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"tmp05", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "]"}], "-", "2"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "tmp05", "]"}]}], "}"}]}], "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input"],

Cell[TextData[{
 "Der am Ende dieser Kette von Operationen angewendete Befehl ",
 StyleBox["Flatten",
  FontWeight->"Bold"],
 " entfernt die verbliebene Struktur in den Daten, und man erh\[ADoubleDot]lt \
die L\[ADoubleDot]ngen aller Introns f\[UDoubleDot]r das Chromosom 19 in Form \
einer Liste. \n\nEine Visualisierung der L\[ADoubleDot]ngenverteilung der \
Introns (\[OpenCurlyQuote]Wie h\[ADoubleDot]ufig ist ein Intron der L\
\[ADoubleDot]nge ",
 StyleBox["n",
  FontSlant->"Italic"],
 "?\[CloseCurlyQuote]) in Form eines Histogramms erh\[ADoubleDot]lt man mit \
dem folgenden Befehlsblock. Zuerst werden der Bereich des Histogramms und die \
Breite der Balken (",
 StyleBox["binsize",
  FontWeight->"Bold"],
 ") festgelegt. Dann erfolgt die Histogrammausgabe."
}], "Text",
 CellChangeTimes->{{3.674621025780362*^9, 3.67462103066037*^9}, {
  3.674621095907467*^9, 3.67462112501351*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"min", "=", "0"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"max", "=", "9000"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"binsize", "=", "150"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plIntrons", "=", 
   RowBox[{"Histogram", "[", 
    RowBox[{"tmp06", ",", 
     RowBox[{"{", 
      RowBox[{"min", ",", "max", ",", "binsize"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568713399359375*^9, 3.568713413734375*^9}, {
  3.568713448375*^9, 3.568713481171875*^9}}],

Cell[TextData[{
 "Die Darstellung ist vorerst (mit einem Semikolon am Zeilenende) unterdr\
\[UDoubleDot]ckt und das Histogramm wird nur in die Variable ",
 StyleBox["plIntrons",
  FontWeight->"Bold"],
 " geschrieben, da wir die Abbildung noch um ein weiteres Bildelement erg\
\[ADoubleDot]nzen wollen. M\[ODoubleDot]chte man die Verteilung der Abst\
\[ADoubleDot]nde nun einer quantitativen Analyse unterziehen, so gibt man \
eine Verteilungsfunktion als Modell vor, sch\[ADoubleDot]tzt die Parameter \
dieser Verteilung und sieht dann, ob das Modell in der Lage ist, die \
beobachteten Daten angemessen zu beschreiben. Im Verlauf dieses Kapitels \
haben wir bereits die geometrische Verteilung und ihr stetiges Analogon, die \
Exponentialverteilung, beschrieben. Obwohl die Verteilung der Introns diskret \
ist, gehen wir hier von einem kontinuierlichen Zustandsraum aus (eine \
Annahme, die in der Praxis sehr oft getroffen wird)",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[".", "17"], TraditionalForm]]],
 " Der einzige Parameter der Exponentialverteilung ist die Abklingrate ",
 StyleBox["\[Lambda]",
  FontVariations->{"CompatibilityType"->0}],
 ". Der Maximum-Likelihood-Sch\[ADoubleDot]tzer f\[UDoubleDot]r ",
 StyleBox["\[Lambda]",
  FontVariations->{"CompatibilityType"->0}],
 " ist durch den Kehrwert 1/",
 StyleBox["m",
  FontSlant->"Italic"],
 " des arithmetischen Mittels m = 1/n ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "1"}], "n"], 
    SubscriptBox["x", "i"]}], TraditionalForm]]],
 " gegeben, das sich in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " mit dem Befehl ",
 StyleBox["Mean",
  FontWeight->"Bold"],
 " ermitteln l\[ADoubleDot]sst."
}], "Text",
 CellChangeTimes->{
  3.6746219864687953`*^9, {3.6746220241678514`*^9, 3.674622026791856*^9}, {
   3.674622067299918*^9, 3.67462216431306*^9}, 3.677491432496272*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Lambda]", "=", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"Mean", "[", "tmp06", "]"}]}], "//", "N"}]}]], "Input"],

Cell[BoxData["0.0005483071481577624`"], "Output",
 CellChangeTimes->{3.67757080984795*^9}]
}, Open  ]],

Cell[TextData[{
 "Die Dichtefunktion der Exponentialverteilung aus Gl. (2.47) hat die Fl\
\[ADoubleDot]che Eins unter der Kurve, w\[ADoubleDot]hrend die \
Fl\[ADoubleDot]che des Histogramms nicht auf Eins normiert ist. Um beide \
miteinander vergleichen zu k\[ODoubleDot]nnen, muss man eine Skalierung \
durchf\[UDoubleDot]hren. Wir werden hier die Dichtefunktion neu skalieren",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[".", "18"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " Dazu muss die Dichtefunktion mit der Anzahl der Beobachtungen und der \
Breite der Balken multipliziert werden. So erh\[ADoubleDot]lt man die \
skalierte Dichtefunktion als"
}], "Text",
 CellChangeTimes->{{3.6746221756160765`*^9, 3.674622183299088*^9}, {
  3.6746222304521604`*^9, 3.6746222499111886`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"number", "=", 
   RowBox[{"Length", "[", "tmp06", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fExpo", "[", "x_", "]"}], ":=", 
  RowBox[{"number", "*", "binsize", "*", "\[Lambda]", "*", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "\[Lambda]"}], "*", "x"}]], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plExpo", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"fExpo", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"min", "+", 
        RowBox[{"binsize", "/", "2"}]}], ",", 
       RowBox[{"max", "-", 
        RowBox[{"binsize", "/", "2"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568713514453125*^9, 3.5687135150625*^9}, {
  3.56871375484375*^9, 3.568713755203125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plIntrons", ",", "plExpo"}], "]"}]], "Input",
 CellChangeTimes->{{3.568713521109375*^9, 3.568713526765625*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], EdgeForm[{
     Opacity[0.26599999999999996`], Thickness[Small]}], {}, 
     {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], EdgeForm[{
      Opacity[0.26599999999999996`], Thickness[Small]}], 
      RectangleBox[{0., 0}, {150., 1259},
       RoundingRadius->0], RectangleBox[{150., 0}, {300., 767},
       RoundingRadius->0], RectangleBox[{300., 0}, {450., 511},
       RoundingRadius->0], RectangleBox[{450., 0}, {600., 375},
       RoundingRadius->0], RectangleBox[{600., 0}, {750., 299},
       RoundingRadius->0], RectangleBox[{750., 0}, {900., 248},
       RoundingRadius->0], RectangleBox[{900., 0}, {1050., 226},
       RoundingRadius->0], RectangleBox[{1050., 0}, {1200., 187},
       RoundingRadius->0], RectangleBox[{1200., 0}, {1350., 180},
       RoundingRadius->0], RectangleBox[{1350., 0}, {1500., 159},
       RoundingRadius->0], RectangleBox[{1500., 0}, {1650., 147},
       RoundingRadius->0], RectangleBox[{1650., 0}, {1800., 125},
       RoundingRadius->0], RectangleBox[{1800., 0}, {1950., 117},
       RoundingRadius->0], RectangleBox[{1950., 0}, {2100., 109},
       RoundingRadius->0], RectangleBox[{2100., 0}, {2250., 117},
       RoundingRadius->0], RectangleBox[{2250., 0}, {2400., 87},
       RoundingRadius->0], RectangleBox[{2400., 0}, {2550., 81},
       RoundingRadius->0], RectangleBox[{2550., 0}, {2700., 56},
       RoundingRadius->0], RectangleBox[{2700., 0}, {2850., 102},
       RoundingRadius->0], RectangleBox[{2850., 0}, {3000., 72},
       RoundingRadius->0], RectangleBox[{3000., 0}, {3150., 64},
       RoundingRadius->0], RectangleBox[{3150., 0}, {3300., 81},
       RoundingRadius->0], RectangleBox[{3300., 0}, {3450., 59},
       RoundingRadius->0], RectangleBox[{3450., 0}, {3600., 63},
       RoundingRadius->0], RectangleBox[{3600., 0}, {3750., 58},
       RoundingRadius->0], RectangleBox[{3750., 0}, {3900., 40},
       RoundingRadius->0], RectangleBox[{3900., 0}, {4050., 45},
       RoundingRadius->0], RectangleBox[{4050., 0}, {4200., 43},
       RoundingRadius->0], RectangleBox[{4200., 0}, {4350., 34},
       RoundingRadius->0], RectangleBox[{4350., 0}, {4500., 22},
       RoundingRadius->0], RectangleBox[{4500., 0}, {4650., 37},
       RoundingRadius->0], RectangleBox[{4650., 0}, {4800., 22},
       RoundingRadius->0], RectangleBox[{4800., 0}, {4950., 28},
       RoundingRadius->0], RectangleBox[{4950., 0}, {5100., 32},
       RoundingRadius->0], RectangleBox[{5100., 0}, {5250., 24},
       RoundingRadius->0], RectangleBox[{5250., 0}, {5400., 24},
       RoundingRadius->0], RectangleBox[{5400., 0}, {5550., 19},
       RoundingRadius->0], RectangleBox[{5550., 0}, {5700., 18},
       RoundingRadius->0], RectangleBox[{5700., 0}, {5850., 15},
       RoundingRadius->0], RectangleBox[{5850., 0}, {6000., 16},
       RoundingRadius->0], RectangleBox[{6000., 0}, {6150., 18},
       RoundingRadius->0], RectangleBox[{6150., 0}, {6300., 22},
       RoundingRadius->0], RectangleBox[{6300., 0}, {6450., 6},
       RoundingRadius->0], RectangleBox[{6450., 0}, {6600., 9},
       RoundingRadius->0], RectangleBox[{6600., 0}, {6750., 14},
       RoundingRadius->0], RectangleBox[{6750., 0}, {6900., 18},
       RoundingRadius->0], RectangleBox[{6900., 0}, {7050., 10},
       RoundingRadius->0], RectangleBox[{7050., 0}, {7200., 12},
       RoundingRadius->0], RectangleBox[{7200., 0}, {7350., 13},
       RoundingRadius->0], RectangleBox[{7350., 0}, {7500., 7},
       RoundingRadius->0], RectangleBox[{7500., 0}, {7650., 11},
       RoundingRadius->0], RectangleBox[{7650., 0}, {7800., 8},
       RoundingRadius->0], RectangleBox[{7800., 0}, {7950., 7},
       RoundingRadius->0], RectangleBox[{7950., 0}, {8100., 6},
       RoundingRadius->0], RectangleBox[{8100., 0}, {8250., 4},
       RoundingRadius->0], RectangleBox[{8250., 0}, {8400., 9},
       RoundingRadius->0], RectangleBox[{8400., 0}, {8550., 3},
       RoundingRadius->0], RectangleBox[{8550., 0}, {8700., 5},
       RoundingRadius->0], RectangleBox[{8700., 0}, {8850., 8},
       RoundingRadius->0], RectangleBox[{8850., 0}, {9000., 7},
       RoundingRadius->
        0]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}}}, {{{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVxXk01AkAB3Bd2+H4zSwbrcoRzWhoZFjFyBcNOdsmBpEJozXNDHKMPMfo
qWWbdCw1DSsjJclNGtXE763ovXSx0o1OsRbJviTb7v7xeR+zqHhuzHwtLS3/
//z/49HD0/Pbuciv5fUztsqwbs+q4lbJDgzNjOt4sGXIGKxDgnEgGG0utyNs
ZTDt+0P+XBqEzLvE03IjGWJvrDZX24SAxY8yFLzPwqfjjQGS4l3w7cvLuSbP
go7xWK/IWYBsRwr3am8mrNsNbB4uj8cKJc+kOCEDszqbD5X+mA6x3qtz3Io0
dO+VTHxLy0FL3kRBl08qzj827XQ5nAffoSLbv21TwPcrqvCPOoqOuvMJW0yT
kL62Y7PH6AmwnPZpEiL3QU0/w+wZKETziOSLKy8eTvV7PxZ2KiBPP3y7yl+M
qqx99uL0IqTZ7tS10wihve3pzOW9JVjcZaCI2vgTbJpcVy0zUGE2285ZZhiD
1HlyWq+oDMcf0Jj9G6LRej83uW/wLE7dIgrWB0Yi8Xezr0PscxAoj5wZzubD
wlHSTWs5D+1hhjAhNhz7xxpycukXIN5R9QpVofDoKtg/eaAS8iuOb0pDgrHY
nFZf+Oki3rZyBK7UILirgi3deZfg5UtYO1vsgLR003P6g2ocCtzvTmI7/IYM
ZFacWrQ+iSxZYrUNSs/8CHtVHcR3FN1EkB/iT4WBfaQe30//Vso46o0AY9eE
V84N+DN+gU2agxey3ExOGg43oDYxtcRyNQfr6CFhw2cbse2G1V/dhAd+VfGx
eXsTDsQFKSa5bpA+buu01WuGaidUH9muqG5a6V7f1YzMImPrk45slJhsfdac
fBlhvTqjdy5uwjK/bkOebQv+2ZPLOEhzBGuZSWLGQAvk07qTmiUOqBHGkUz5
FdwtrhgYs2Ch/JfljTKOGgrZ1NTc1g0Ics4nA6fUCGB8fSKUMJFTE57YWdcK
euqee6XB1pA0fHbT8K8inxeX7HvdCpW8k9+46VwDp3fTyyohDfzreeLIrmvQ
56Uk25lZoqfJZ/Ib6XUos2eLXFhrQIpiDL1ZGvimLTVrDzDDvJsZdkZjGuTv
Ds+heZhgri5KLC66gdf0EkahZCVSwsq8dvHaoKx8Mz1zbgUC/fpV7+e3Y4Te
x73vYwiFc7jRaEg7XNqOjZvbfQcjef6gU0s77G5OMMPN9SFds3ajvy6JC49W
P/QSUHHihc2CHj0SSWMP6APhVFQrHe7yKCTeKw+UpwVRMURwBLv1SYRmSLXV
nlT4fYk+nrSCxGuNffZOKyrM+8qGlZYkiMbeHvtxCu79vEr51oWEQloz7JBJ
wYibpUDkSkK7dtElppSChXPWzAmQeBYrElnHU+CUxL4540Hig8JzaH0kBRX8
sEkdHxLpB6szgzkUZGxUerN4JF4+zI74QY8CxZTKQB1MwnveOyF/MQWNtZUD
7FASySMOfLkWBe8s1Cme4SS+jq9f9OgNAS61vyw0isRCaoG+qo6ApPuF+EU0
iYLp8hzTswTyct86RseQCG7taqooJKCZm74jjiVxKzPDpyONwCP13OlJIYnT
wnXVYWICH5IWCaQiEtNLLTs+RRDQZeoyZ8UkBiVzx4q3E6CPGHyWxZGoqeHo
btlC4F/2/ybb
       "]]}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{-180., 0},
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  PlotRange->{{0., 9000.}, {All, All}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {None, 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6775708099571505`*^9}]
}, Open  ]],

Cell["\<\
Abbildung 2.24 zeigt die angepasste Dichtefunktion der Exponentialverteilung \
zusammen mit dem Histogramm der Intronl\[ADoubleDot]ngen. Offensichtlich \
werden die beobachteten L\[ADoubleDot]ngen der Introns durch dieses Modell \
nur teilweise erkl\[ADoubleDot]rt. Es ergeben sich systematische \
Abweichungen. Aus unserer Diskussion der Verteilungen im ersten Teil des \
Kapitels wissen wir, dass diese Abweichungen (die exponentielle Verteilung \
untersch\[ADoubleDot]tzt die besonders gro\[SZ]en und kleinen \
L\[ADoubleDot]ngen und \[UDoubleDot]bersch\[ADoubleDot]tzt die \
H\[ADoubleDot]ufigkeit der mittleren L\[ADoubleDot]ngen) typisch f\
\[UDoubleDot]r Weibull- und Potenzgesetzverteilungen sind. Wir \
m\[ODoubleDot]chten aus diesem Grund hier noch die Weibull-Verteilung als ein \
weiteres Modell diskutieren. Die Weibull-Verteilung \
ber\[UDoubleDot]cksichtigt als Modell das Auftreten seltener Ereignisse und \
enth\[ADoubleDot]lt als Spezialfall die Exponentialverteilung. Auf die \
formale Sch\[ADoubleDot]tzung der Parameter f\[UDoubleDot]r eine \
Weibull-Verteilung aus einem gegebenen Datensatz wollen wir hier nicht \
eingehen, sondern f\[UDoubleDot]r vorhandene Parameter die angepasste \
Weibull-Verteilung mit dem Histogramm der Intronl\[ADoubleDot]ngen \
vergleichen. Mit den gesch\[ADoubleDot]tzten Parametern \[Alpha] und \[Gamma] \
ist die skalierte Dichtefunktion der Weibull-Verteilung gegeben durch:\
\>", "Text",
 CellChangeTimes->{{3.6746222741092234`*^9, 3.6746222802872324`*^9}, 
   3.6746223916103964`*^9, {3.6746224606765018`*^9, 3.6746224759275246`*^9}, 
   3.6774915668049088`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", "1429.58"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Gamma]", "=", "0.7247"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fWeibull", "[", "x_", "]"}], ":=", 
   RowBox[{"number", "*", "binsize", "*", 
    FractionBox["\[Gamma]", "\[Alpha]"], "*", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["x", "\[Alpha]"], ")"}], 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "-", "1"}], ")"}]], "*", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox["x", "\[Alpha]"], ")"}], "\[Gamma]"]}]]}]}], 
  ";"}]], "Input"],

Cell["\<\
Abbildung 2.25 zeigt die Weibull-Verteilung zusammen mit dem Histogramm der \
Intronl\[ADoubleDot]ngen:\
\>", "Text",
 CellChangeTimes->{{3.6746224917205486`*^9, 3.6746225078545713`*^9}, {
  3.677491580064932*^9, 3.6774915820305357`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"plWeibull", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"fWeibull", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"min", "+", 
        RowBox[{"binsize", "/", "2"}]}], ",", 
       RowBox[{"max", "-", 
        RowBox[{"binsize", "/", "2"}]}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.568713595796875*^9, 3.56871361265625*^9}, {
  3.568713737828125*^9, 3.568713738828125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plIntrons", ",", "plWeibull"}], "]"}]], "Input",
 CellChangeTimes->{{3.5687136410625*^9, 3.56871364375*^9}, {3.56871371875*^9, 
  3.56871373046875*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], EdgeForm[{
     Opacity[0.26599999999999996`], Thickness[Small]}], {}, 
     {RGBColor[0.987148, 0.8073604000000001, 0.49470040000000004`], EdgeForm[{
      Opacity[0.26599999999999996`], Thickness[Small]}], 
      RectangleBox[{0., 0}, {150., 1259},
       RoundingRadius->0], RectangleBox[{150., 0}, {300., 767},
       RoundingRadius->0], RectangleBox[{300., 0}, {450., 511},
       RoundingRadius->0], RectangleBox[{450., 0}, {600., 375},
       RoundingRadius->0], RectangleBox[{600., 0}, {750., 299},
       RoundingRadius->0], RectangleBox[{750., 0}, {900., 248},
       RoundingRadius->0], RectangleBox[{900., 0}, {1050., 226},
       RoundingRadius->0], RectangleBox[{1050., 0}, {1200., 187},
       RoundingRadius->0], RectangleBox[{1200., 0}, {1350., 180},
       RoundingRadius->0], RectangleBox[{1350., 0}, {1500., 159},
       RoundingRadius->0], RectangleBox[{1500., 0}, {1650., 147},
       RoundingRadius->0], RectangleBox[{1650., 0}, {1800., 125},
       RoundingRadius->0], RectangleBox[{1800., 0}, {1950., 117},
       RoundingRadius->0], RectangleBox[{1950., 0}, {2100., 109},
       RoundingRadius->0], RectangleBox[{2100., 0}, {2250., 117},
       RoundingRadius->0], RectangleBox[{2250., 0}, {2400., 87},
       RoundingRadius->0], RectangleBox[{2400., 0}, {2550., 81},
       RoundingRadius->0], RectangleBox[{2550., 0}, {2700., 56},
       RoundingRadius->0], RectangleBox[{2700., 0}, {2850., 102},
       RoundingRadius->0], RectangleBox[{2850., 0}, {3000., 72},
       RoundingRadius->0], RectangleBox[{3000., 0}, {3150., 64},
       RoundingRadius->0], RectangleBox[{3150., 0}, {3300., 81},
       RoundingRadius->0], RectangleBox[{3300., 0}, {3450., 59},
       RoundingRadius->0], RectangleBox[{3450., 0}, {3600., 63},
       RoundingRadius->0], RectangleBox[{3600., 0}, {3750., 58},
       RoundingRadius->0], RectangleBox[{3750., 0}, {3900., 40},
       RoundingRadius->0], RectangleBox[{3900., 0}, {4050., 45},
       RoundingRadius->0], RectangleBox[{4050., 0}, {4200., 43},
       RoundingRadius->0], RectangleBox[{4200., 0}, {4350., 34},
       RoundingRadius->0], RectangleBox[{4350., 0}, {4500., 22},
       RoundingRadius->0], RectangleBox[{4500., 0}, {4650., 37},
       RoundingRadius->0], RectangleBox[{4650., 0}, {4800., 22},
       RoundingRadius->0], RectangleBox[{4800., 0}, {4950., 28},
       RoundingRadius->0], RectangleBox[{4950., 0}, {5100., 32},
       RoundingRadius->0], RectangleBox[{5100., 0}, {5250., 24},
       RoundingRadius->0], RectangleBox[{5250., 0}, {5400., 24},
       RoundingRadius->0], RectangleBox[{5400., 0}, {5550., 19},
       RoundingRadius->0], RectangleBox[{5550., 0}, {5700., 18},
       RoundingRadius->0], RectangleBox[{5700., 0}, {5850., 15},
       RoundingRadius->0], RectangleBox[{5850., 0}, {6000., 16},
       RoundingRadius->0], RectangleBox[{6000., 0}, {6150., 18},
       RoundingRadius->0], RectangleBox[{6150., 0}, {6300., 22},
       RoundingRadius->0], RectangleBox[{6300., 0}, {6450., 6},
       RoundingRadius->0], RectangleBox[{6450., 0}, {6600., 9},
       RoundingRadius->0], RectangleBox[{6600., 0}, {6750., 14},
       RoundingRadius->0], RectangleBox[{6750., 0}, {6900., 18},
       RoundingRadius->0], RectangleBox[{6900., 0}, {7050., 10},
       RoundingRadius->0], RectangleBox[{7050., 0}, {7200., 12},
       RoundingRadius->0], RectangleBox[{7200., 0}, {7350., 13},
       RoundingRadius->0], RectangleBox[{7350., 0}, {7500., 7},
       RoundingRadius->0], RectangleBox[{7500., 0}, {7650., 11},
       RoundingRadius->0], RectangleBox[{7650., 0}, {7800., 8},
       RoundingRadius->0], RectangleBox[{7800., 0}, {7950., 7},
       RoundingRadius->0], RectangleBox[{7950., 0}, {8100., 6},
       RoundingRadius->0], RectangleBox[{8100., 0}, {8250., 4},
       RoundingRadius->0], RectangleBox[{8250., 0}, {8400., 9},
       RoundingRadius->0], RectangleBox[{8400., 0}, {8550., 3},
       RoundingRadius->0], RectangleBox[{8550., 0}, {8700., 5},
       RoundingRadius->0], RectangleBox[{8700., 0}, {8850., 8},
       RoundingRadius->0], RectangleBox[{8850., 0}, {9000., 7},
       RoundingRadius->
        0]}, {}, {}}, {{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}}}, {{{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVknk0FAoDxSVpVb14eRmRsiWE7OuV8Ej2NWSZwRhjaexRRrZhbNn3UJay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       "]]}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{-180., 0},
  Frame->True,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  PlotRange->{{0., 9000.}, {All, All}},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {None, 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.6775708100507507`*^9}]
}, Open  ]],

Cell[TextData[{
 "Wie man deutlich sieht",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[",", "19"], TraditionalForm]]],
 " beschreibt die Weibull-Verteilung die beobachteten Daten besser als die \
Exponentialverteilung. Ein mathematisches Modell der Genomevolution, das die \
Entstehung und zeitliche Entwicklung von Introns zu beschreiben versucht, m\
\[UDoubleDot]sste also Mechanismen der Sequenzmodifikation finden, die eine \
solche systematische Abweichung der L\[ADoubleDot]ngenverteilung von einem \
exponentiellen Verlauf erkl\[ADoubleDot]ren k\[ODoubleDot]nnen.\n"
}], "Text",
 CellChangeTimes->{{3.6746225744796696`*^9, 3.6746226436917715`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "14"], TraditionalForm]]],
 " http://genome.ucsc.edu/ unter der Rubrik ",
 StyleBox["Tables",
  FontSlant->"Italic"],
 ".\n\n",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "15"], TraditionalForm]]],
 " Auch der erste Eintrag, der aus der Tabellen\[UDoubleDot]berschrift \
stammt, n\[ADoubleDot]mlich ",
 StyleBox["{#exonStarts, exonEnds}",
  FontWeight->"Bold"],
 " wird in diesem Schritt auf die leere Menge abgebildet.\n\n",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "16"], TraditionalForm]]],
 " Eine Besonderheit des ",
 StyleBox["Genome Browsers",
  FontSlant->"Italic"],
 " ist seine Z\[ADoubleDot]hlweise, n\[ADoubleDot]mlich an der Position Null \
orientiert (0-basiert) bei den Startpositionen und 1-basiert bei den \
Endpositionen. Daher ergeben sich die L\[ADoubleDot]ngen als Differenz minus \
2 (statt Differenz minus 1).\n\n",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "17"], TraditionalForm]]],
 " Dies l\[ADoubleDot]sst sich damit begr\[UDoubleDot]nden, dass die Menge \
von Ereignissen (in unserem Fall also die m\[ODoubleDot]glichen \
L\[ADoubleDot]ngen der Introns) recht gro\[SZ] ist: Die empirische Verteilung \
ist quasikontinuierlich.\n\n",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", 
    RowBox[{"18", " "}]], TraditionalForm]]],
 "Im umgekehrten Fall w\[UDoubleDot]rde wie zuvor die Option ",
 StyleBox["\[OpenCurlyDoubleQuote]PDF\[CloseCurlyDoubleQuote]",
  FontWeight->"Bold"],
 " im ",
 StyleBox["Histogram",
  FontWeight->"Bold"],
 "-Befehl zu einer Normierung der Fl\[ADoubleDot]che des Histogramms auf Eins \
f\[UDoubleDot]hren, und Gl. (2.47) k\[ODoubleDot]nnte direkt\nverwendet \
werden.\n\n",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["", "19"], TraditionalForm]]],
 "Die Qualit\[ADoubleDot]t einer solchen Anpassung l\[ADoubleDot]sst sich \
mathematisch weiter untersuchen. Das erforderliche Werkzeug ist der ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Chi]", "2"], TraditionalForm]]],
 "-Test."
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellChangeTimes->{{3.674621151407549*^9, 3.6746211807235928`*^9}, {
   3.674622662511799*^9, 3.6746227213398905`*^9}, 3.674622755272942*^9}]
}, Open  ]]
},
WindowSize->{507, 900},
WindowMargins->{{527, Automatic}, {139, Automatic}},
FrontEndVersion->"10.4 for Microsoft Windows (64-bit) (April 11, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 870, 36, 182, "Subsubtitle"],
Cell[CellGroupData[{
Cell[1453, 60, 317, 9, 66, "Subtitle"],
Cell[1773, 71, 2151, 47, 450, "Text"],
Cell[3927, 120, 1077, 21, 274, "Text"],
Cell[5007, 143, 283, 7, 47, "Input"],
Cell[5293, 152, 916, 18, 152, "Input"],
Cell[6212, 172, 206, 5, 31, "Input"],
Cell[6421, 179, 1236, 30, 277, "Text"],
Cell[CellGroupData[{
Cell[7682, 213, 84, 2, 31, "Input"],
Cell[7769, 217, 409, 10, 92, "Output"]
}, Open  ]],
Cell[8193, 230, 830, 14, 203, "Text"],
Cell[9026, 246, 370, 13, 31, "Input"],
Cell[CellGroupData[{
Cell[9421, 263, 130, 4, 31, "Input"],
Cell[9554, 269, 331, 9, 52, "Output"]
}, Open  ]],
Cell[9900, 281, 152, 2, 30, "Text"],
Cell[10055, 285, 182, 6, 31, "Input"],
Cell[10240, 293, 704, 14, 165, "Text"],
Cell[10947, 309, 295, 10, 31, "Input"],
Cell[11245, 321, 575, 18, 72, "Input"],
Cell[11823, 341, 892, 19, 201, "Text"],
Cell[12718, 362, 186, 6, 72, "Input"],
Cell[12907, 370, 375, 9, 52, "Input"],
Cell[13285, 381, 1905, 44, 357, "Text"],
Cell[CellGroupData[{
Cell[15215, 429, 142, 4, 31, "Input"],
Cell[15360, 435, 90, 1, 31, "Output"]
}, Open  ]],
Cell[15465, 439, 798, 15, 165, "Text"],
Cell[16266, 456, 110, 3, 31, "Input"],
Cell[16379, 461, 243, 6, 31, "Input"],
Cell[16625, 469, 521, 14, 72, "Input"],
Cell[CellGroupData[{
Cell[17171, 487, 159, 3, 31, "Input"],
Cell[17333, 492, 6839, 118, 229, "Output"]
}, Open  ]],
Cell[24187, 613, 1628, 24, 391, "Text"],
Cell[25818, 639, 162, 4, 52, "Input"],
Cell[25983, 645, 512, 16, 74, "Input"],
Cell[26498, 663, 248, 5, 49, "Text"],
Cell[26749, 670, 529, 14, 72, "Input"],
Cell[CellGroupData[{
Cell[27303, 688, 200, 4, 31, "Input"],
Cell[27506, 694, 8807, 150, 229, "Output"]
}, Open  ]],
Cell[36328, 847, 655, 12, 184, "Text"],
Cell[36986, 861, 2210, 58, 508, "Text"]
}, Open  ]]
}
]
*)

